package com.mortals.xhx.module.business.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.vo.BusinessVo;
/**
* 站点业务实体对象
*
* @author zxfei
* @date 2022-01-13
*/

public class BusinessEntity extends BusinessVo {
    private static final long serialVersionUID = 1L;

    /**
    * 父级ID
    */
    private Long parentId;
    /**
    * 祖级列表，逗号分隔
    */
    private String ancestors;
    /**
    * 业务类型(0.一级业务,1.二级业务)
    */
    private Integer isBusiness;
    /**
    * 业务名称
    */
    private String name;
    /**
    * 备注
    */
    private String remark;
    /**
    * 是否允许预约（1.允许，0.不允许）
    */
    private Integer canorder;
    /**
    * 是否允许取号（1.允许，0.不允许）
    */
    private Integer cantake;
    /**
    * 大厅情况展示 （1.展示，0.不展示）
    */
    private Integer datashow;
    /**
    * 英语业务名
    */
    private String englishname;
    /**
    * 流水编号如A、B
    */
    private String flownum;
    /**
    * 业务状态 (0.停用，1.正常)
    */
    private Integer status;
    /**
    * 业务类型 (0.一体化业务，1.自建业务)
    */
    private Integer businessType;



    public BusinessEntity(){}
    /**
    * 获取 父级ID
    * @return Long
    */
    public Long getParentId(){
        return parentId;
    }
    /**
    * 设置 父级ID
    * @param parentId
    */
    public void setParentId(Long parentId){
        this.parentId = parentId;
    }
    /**
    * 获取 祖级列表，逗号分隔
    * @return String
    */
    public String getAncestors(){
        return ancestors;
    }
    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public void setAncestors(String ancestors){
        this.ancestors = ancestors;
    }
    /**
    * 获取 业务类型(0.一级业务,1.二级业务)
    * @return Integer
    */
    public Integer getIsBusiness(){
        return isBusiness;
    }
    /**
    * 设置 业务类型(0.一级业务,1.二级业务)
    * @param isBusiness
    */
    public void setIsBusiness(Integer isBusiness){
        this.isBusiness = isBusiness;
    }
    /**
    * 获取 业务名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 业务名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 是否允许预约（1.允许，0.不允许）
    * @return Integer
    */
    public Integer getCanorder(){
        return canorder;
    }
    /**
    * 设置 是否允许预约（1.允许，0.不允许）
    * @param canorder
    */
    public void setCanorder(Integer canorder){
        this.canorder = canorder;
    }
    /**
    * 获取 是否允许取号（1.允许，0.不允许）
    * @return Integer
    */
    public Integer getCantake(){
        return cantake;
    }
    /**
    * 设置 是否允许取号（1.允许，0.不允许）
    * @param cantake
    */
    public void setCantake(Integer cantake){
        this.cantake = cantake;
    }
    /**
    * 获取 大厅情况展示 （1.展示，0.不展示）
    * @return Integer
    */
    public Integer getDatashow(){
        return datashow;
    }
    /**
    * 设置 大厅情况展示 （1.展示，0.不展示）
    * @param datashow
    */
    public void setDatashow(Integer datashow){
        this.datashow = datashow;
    }
    /**
    * 获取 英语业务名
    * @return String
    */
    public String getEnglishname(){
        return englishname;
    }
    /**
    * 设置 英语业务名
    * @param englishname
    */
    public void setEnglishname(String englishname){
        this.englishname = englishname;
    }
    /**
    * 获取 流水编号如A、B
    * @return String
    */
    public String getFlownum(){
        return flownum;
    }
    /**
    * 设置 流水编号如A、B
    * @param flownum
    */
    public void setFlownum(String flownum){
        this.flownum = flownum;
    }
    /**
    * 获取 业务状态 (0.停用，1.正常)
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 业务状态 (0.停用，1.正常)
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 业务类型 (0.一体化业务，1.自建业务)
    * @return Integer
    */
    public Integer getBusinessType(){
        return businessType;
    }
    /**
    * 设置 业务类型 (0.一体化业务，1.自建业务)
    * @param businessType
    */
    public void setBusinessType(Integer businessType){
        this.businessType = businessType;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessEntity) {
            BusinessEntity tmp = (BusinessEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",parentId:").append(getParentId());
        sb.append(",ancestors:").append(getAncestors());
        sb.append(",isBusiness:").append(getIsBusiness());
        sb.append(",name:").append(getName());
        sb.append(",remark:").append(getRemark());
        sb.append(",canorder:").append(getCanorder());
        sb.append(",cantake:").append(getCantake());
        sb.append(",datashow:").append(getDatashow());
        sb.append(",englishname:").append(getEnglishname());
        sb.append(",flownum:").append(getFlownum());
        sb.append(",status:").append(getStatus());
        sb.append(",businessType:").append(getBusinessType());
        return sb.toString();
    }

    public void initAttrValue(){

            this.parentId = null;

            this.ancestors = "";

            this.isBusiness =0;

            this.name = null;

            this.remark = null;

            this.canorder = 1;

            this.cantake = 1;

            this.datashow = 1;

            this.englishname = null;

            this.flownum = null;

            this.status = 1;

            this.businessType = 1;
    }
}